Advertisement
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Experimental EssentialsPE 1.1.3

The port of Bukkit Essentials for PocketMine-MP servers!

  1. Deadlypixel69
    Offline

    Deadlypixel69 New Member

    Joined:
    Feb 22, 2016
    Posts:
    8
    Minecraft User:
    Deadlypixel
    Know of any possible work-around? I use a 3rd party hosting service (as my current home-server is offline due to hardware.....issues...), would I just have to contact them about said situation?

    Edit: Or is it just the waiting game for now? :p
  2. PEMapModder
    Offline

    PEMapModder Notable Member Plugin Developer

    Joined:
    Oct 9, 2013
    Posts:
    7,294
    Plugins:
    11
    Minecraft User:
    PEMapModder
    We will release an update soon.
  3. TheClimbing
    Offline

    TheClimbing New Member

    Joined:
    Jan 13, 2016
    Posts:
    20
    You can use this until official version is released https://github.com/PocketMine-PHP7/EssentialsPE-PHP7
  4. Deadlypixel69
    Offline

    Deadlypixel69 New Member

    Joined:
    Feb 22, 2016
    Posts:
    8
    Minecraft User:
    Deadlypixel
  5. PEMapModder
    Offline

    PEMapModder Notable Member Plugin Developer

    Joined:
    Oct 9, 2013
    Posts:
    7,294
    Plugins:
    11
    Minecraft User:
    PEMapModder
    PocketKiller and applqpak like this.
  6. thebigsmileXD
    Offline

    thebigsmileXD Banned

    Joined:
    May 19, 2015
    Posts:
    845
    Plugins:
    1
    Minecraft User:
    XenialDan
    Theres a problem with free signs.
    Players with the permission essentialspe.sign.free.use can CREATE free signs.
    But the permission to create is essentialspe.sign.free.create

    Critical bug in my oppinion
  7. iksaku
    Offline

    iksaku Notable Member Plugin Developer

    Joined:
    Sep 2, 2013
    Posts:
    1,130
    Plugins:
    4
    Minecraft User:
    iksaku
    Okey everybody, we are already updating EssentialsPE in order to support PHP 7!
    Also, I would like to inform that EssentialsPE is only being tested and developed using PocketMine-MP as its base software, we do not aim to support third-party or modified versions of it (ImagicalMine, BukkitPE, etc).
    For your patience, thanks
    Darunia18 likes this.
  8. TheDragonRing
    Offline

    TheDragonRing New Member

    Joined:
    Mar 27, 2016
    Posts:
    22
    Minecraft User:
    TheDragonRing
    Finally! : D, good job with EssentialsPE, I'm trying to develop an alternative to this for ImagicalMine but this is much more advanced.
  9. iksaku
    Offline

    iksaku Notable Member Plugin Developer

    Joined:
    Sep 2, 2013
    Posts:
    1,130
    Plugins:
    4
    Minecraft User:
    iksaku
    If you are going to make your own version for other platform, please do not copy our code nor use the same name... Otherwise, do not make it public
  10. TheDragonRing
    Offline

    TheDragonRing New Member

    Joined:
    Mar 27, 2016
    Posts:
    22
    Minecraft User:
    TheDragonRing
    I'm not copying the code, I've been writing it completely from scratch, and it's named BoxOfBits, it's just inspired by/based on this plugin, but is quite different
  11. PEMapModder
    Offline

    PEMapModder Notable Member Plugin Developer

    Joined:
    Oct 9, 2013
    Posts:
    7,294
    Plugins:
    11
    Minecraft User:
    PEMapModder
    https://github.com/LegendOfMCPE/EssentialsPE/blob/master/LICENSE
    According to the license, he can develop modified work derived from EssentialsPE and make it public, as long as he inherits the license too.
    Actually, PocketMine uses LGPL v3, which only has few differences from GPL v3.

    https://tldrlegal.com/license/gnu-general-public-license-v3-(gpl-3)
  12. TheDragonRing
    Offline

    TheDragonRing New Member

    Joined:
    Mar 27, 2016
    Posts:
    22
    Minecraft User:
    TheDragonRing
    Although I shouldn't have to take this license? Because like I said, it's inspired/based on the idea of EssentialsPE, but doesn't actually take any code or anything from it, if it does it is by total accident. View src code here for proof
  13. PEMapModder
    Offline

    PEMapModder Notable Member Plugin Developer

    Joined:
    Oct 9, 2013
    Posts:
    7,294
    Plugins:
    11
    Minecraft User:
    PEMapModder
    Then why are you asking us at all? The idea didn't come from us at all.
  14. TheDragonRing
    Offline

    TheDragonRing New Member

    Joined:
    Mar 27, 2016
    Posts:
    22
    Minecraft User:
    TheDragonRing
    I never meant to ask, all I did was say this was more advanced than what I'd done and then @iksaku though I meant I was using the same code and I said I wasn't, then you brought up the license and... Anyway glad EssentialsPE is updating now :)
    PEMapModder likes this.
  15. iksaku
    Offline

    iksaku Notable Member Plugin Developer

    Joined:
    Sep 2, 2013
    Posts:
    1,130
    Plugins:
    4
    Minecraft User:
    iksaku
    Well, it is updating in a slow process... Since the only one that (almost) remember/knows how everything works is me, and I do have tons of work load in my real life... So not much time to code
    TheDragonRing likes this.
  16. PEMapModder
    Offline

    PEMapModder Notable Member Plugin Developer

    Joined:
    Oct 9, 2013
    Posts:
    7,294
    Plugins:
    11
    Minecraft User:
    PEMapModder
    I doubt if you actually remember :p

    From psychological perspective, you don't actually remember/know about it, you just relearn it when you see the code again ;)
    TheDragonRing likes this.
  17. Kyriakos
    Offline

    Kyriakos New Member

    Joined:
    Apr 20, 2016
    Posts:
    1
    Minecraft User:
    Harakyri
    Heya all. Just like Rekkuza says, warp does not work for regular users. I have searched everywhere for a solution. Any ideas on a fix other than using simplewarp? Does simplewarp work with php7? I am using PocketMine with my students and don't want to give everyone OP status.
    Thanks.
  18. jie
    Offline

    jie New Member

    Joined:
    Apr 27, 2016
    Posts:
    26
    Minecraft User:
    jie
    Error: Cannot use pocketmine\nbt\tag\Float as Float because 'Float' is a special class name
    File: /EssentialsPE_v1.1.3[汉化版].phar/src/EssentialsPE/Loader
    Line: 106
    Type: E_COMPILE_ERROR

    THIS CRASH WAS CAUSED BY A PLUGIN
    此次出错由插件引起

    Code:
    [97] use pocketmine\level\Level;
    [98] use pocketmine\level\Location;
    [99] use pocketmine\level\Position;
    [100] use pocketmine\math\AxisAlignedBB;
    [101] use pocketmine\math\Vector3;
    [102] use pocketmine\nbt\tag\Byte;
    [103] use pocketmine\nbt\tag\Compound;
    [104] use pocketmine\nbt\tag\Double;
    [105] use pocketmine\nbt\tag\Enum;
    [106] use pocketmine\nbt\tag\Float;
    [107] use pocketmine\network\protocol\MobEffectPacket;
    [108] use pocketmine\network\protocol\SetTimePacket;
    [109] use pocketmine\permission\Permission;
    [110] use pocketmine\Player;
    [111] use pocketmine\plugin\PluginBase;
    [112] use pocketmine\Server;
    [113] use pocketmine\utils\Config;
    [114] use pocketmine\utils\Random;
    [115] use pocketmine\utils\TextFormat;
    [116]

    Backtrace:
    #0 (): pocketmine\Server->crashDump(boolean)

    Genisys version: 1.1dev #2 [Protocol 60; API 2.0.0]
    uname -a: Linux 183.131.85.32 2.6.32-573.12.1.el6.x86_64 #1 SMP Tue Dec 15 21:19:08 UTC 2015 x86_64
    PHP version: 7.0.3
    Zend version: 3.0.0
    OS : Linux, linux

    Loaded plugins:
    加载的插件:
    RsFunction 1.0.0 by zmdd for API(s) 1.0.0
    ES 0.0.1 by Taki21 for API(s) 1.0.0
    PurePerms 1.3.7 by 64FF00 & ProjectInfinity for API(s) 1.13.0, 2.0.0
    BasicHUD 1.0.6 by aliuly for API(s) 1.12.0
    WorldProtect 2.2.0 by aliuly for API(s) 1.10.0, 1.12.0
    MagicTelePortal 1.3.2 by aliuly for API(s) 1.10.0
    DisableTntExplosion 1.0.0 by MUedsa for API(s) 1.8.0

    bug
  19. Ishan
    Offline

    Ishan Active Member

    Joined:
    Apr 1, 2015
    Posts:
    99
    Minecraft User:
    Ishannaik
    yes any ideas?
  20. Mike4l6
    Offline

    Mike4l6 New Member

    Joined:
    Jan 17, 2016
    Posts:
    19
    Minecraft User:
    Mike4l6
    Can anyone help when someone tries to warp they don't have permission, how do I give them permission?

Share This Page

Advertisement